![Platform](https://img.shields.io/badge/Platform-Linux%20%7C%20macOS-informational)
[![Python](https://img.shields.io/badge/Python-3.8%20%7C%203.9%20%7C%203.10%20%7C%203.11-informational)](https://www.python.org/)
[![Qiskit](https://img.shields.io/badge/Qiskit-%E2%89%A5%201.0.0-6133BD)](https://github.com/Qiskit/qiskit)
[![License](https://img.shields.io/github/license/qiskit-community/quantum-prototype-template?label=License)](https://github.com/qiskit-community/quantum-prototype-template/blob/main/LICENSE.txt)
[![Code style: Black](https://img.shields.io/badge/Code%20style-Black-000.svg)](https://github.com/psf/black)
[![PyPI version](https://badge.fury.io/py/qiskit-qulacs.svg)](https://badge.fury.io/py/qiskit-qulacs)
[![Tests](https://github.com/Gopal-Dahale/qiskit-qulacs/actions/workflows/test_latest_versions.yml/badge.svg)](https://github.com/Gopal-Dahale/qiskit-qulacs/actions/workflows/test_latest_versions.yml)
[![Coverage Status](https://coveralls.io/repos/github/Gopal-Dahale/qiskit-qulacs/badge.svg?branch=main)](https://coveralls.io/github/Gopal-Dahale/qiskit-qulacs?branch=main)

![Qiskit-Qulacs-logo-extended](https://github.com/Gopal-Dahale/qiskit-qulacs/assets/49199003/27116cba-4109-4298-baac-0a35d04c5ab5)

Qiskit-Qulacs allows users to execute Qiskit programs using Qulacs backend.

**Qiskit-Qulacs is actively being developed, and we welcome your input and suggestions on the API and use cases. If you have any ideas or feedback, please open a GitHub issue or contact us. We are interested in hearing about your experiences using the library.**


1.  [About](docs/intro/project_overview.md)
2.  [Beginner's Guide](docs/intro/beginners_guide.md)
3.  [Installation](docs/intro/INSTALL.md)
4.  [Quickstart Guide](docs/intro/quickstart_guide.md)
5.  [Tutorials](docs/tutorials/)
6.  [How-Tos](docs/how_tos/)
8.  [How to Give Feedback](#how-to-give-feedback)
9.  [Contribution Guidelines](#contribution-guidelines)
10. [References and Acknowledgements](#references-and-acknowledgements)
11. [License](#license)

##### For Developers/Contributors

1. [Contribution Guide](CONTRIBUTING.md)
2. [Technical Docs](docs/technical_docs.md)


----------------------------------------------------------------------------------------------------

### How to Give Feedback

We encourage your feedback! You can share your thoughts with us by:
- [Opening an issue](https://github.com/Gopal-Dahale/qiskit-qulacs/issues) in the repository


----------------------------------------------------------------------------------------------------

### Contribution Guidelines

For information on contributing to this project, please take a look at our [contribution guidelines](CONTRIBUTING.md).


----------------------------------------------------------------------------------------------------

## References and Acknowledgements
[1] Qiskit https://qiskit.org/ \
[2] Qiskit-terra https://github.com/Qiskit/qiskit-terra \
[3] Qulacs https://github.com/qulacs/qulacs

We are proud to be supported by the [Unitary Fund microgrant program](https://unitary.fund/grants/). Thank you Unitary Fund.

[![Unitary Fund](https://img.shields.io/badge/Supported%20By-UNITARY%20FUND-brightgreen.svg?style=for-the-badge)](https://unitary.fund)

----------------------------------------------------------------------------------------------------

### License
[Apache License 2.0](LICENSE.txt)
